Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 548310 - media-video/cclive-0.9.3-r1 fails to compile with gcc-5.1
Summary: media-video/cclive-0.9.3-r1 fails to compile with gcc-5.1
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GCC Porting (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-5
  Show dependency tree
 
Reported: 2015-05-01 10:22 UTC by Martin Väth
Modified: 2015-09-07 03:12 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
Patch of boost.m4. Will not work without eautoreconf (cclive-gcc-5.patch,749 bytes, patch)
2015-05-01 10:22 UTC, Martin Väth
Details | Diff
build log (media-video:cclive-0.9.3-r1:20150504-100628.log,10.26 KB, text/plain)
2015-05-04 10:10 UTC, Martin Väth
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Väth 2015-05-01 10:22:12 UTC
Created attachment 402376 [details, diff]
Patch of boost.m4. Will not work without eautoreconf

cclive-r1 fails to compile with gcc-5, because it uses an outdated version of boost.m4.

I attach a backported part of the correpsonding patch from boot.m4 upstream (although a simpler patch would be to just add -P to the preprocessor call).

Anyway, the patch is not really tested, because it requires to call eautoreconf to the ebuild to which I had to time yet.

I used an alternative fix (which thus is tested): Add -P to CPPFLAGS.
Comment 1 Martin Väth 2015-05-04 10:10:07 UTC
Created attachment 402612 [details]
build log